[PATCH] Ensure test-genrandom availability for t5301/t5302

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Check for this as well as test-chmtime in test-lib.sh

Signed-off-by: Dana L. How <danahow@xxxxxxxxx>
---
 t/test-lib.sh |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

diff --git a/t/test-lib.sh b/t/test-lib.sh
index f2c6bd3..d7838fc 100644
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -268,11 +268,14 @@ test -d ../templates/blt || {
 	error "You haven't built things yet, have you?"
 }
 
-if ! test -x ../test-chmtime; then
-	echo >&2 'You need to build test-chmtime:'
-	echo >&2 'Run "make test-chmtime" in the source (toplevel) directory'
-	exit 1
-fi
+for prog in test-chmtime test-genrandom
+do
+	if ! test -x ../$prog; then
+		echo >&2 "You need to build $prog:"
+		echo >&2 "Run \"make $prog\" in the source (toplevel) directory"
+		exit 1
+	fi
+done
 
 # Test repository
 test=trash
-- 
1.5.2.rc0.71.g4342-dirty

-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]